The Create Clinic API allows you to register a new clinic for your business, including its name, address, pincode, contact number, city, state, and assigned doctors.
Endpoint: {{HOST}}/cdr/v1/clinic
Method: POST
| Parameter | Type | Description | Required |
|---|---|---|---|
| name | string | Name of the clinic | Yes |
| address | string | Address of the clinic | Yes |
| partner_id | string | Unique id of the clinic in partner’s system. | No |
| pincode | string | Pincode of the clinic | No |
| contact | string | Contact number | No |
| doctor_ids | array | List of doctor Eka IDs to assign to this clinic | No |
| partner_doctor_ids | array | List of partner doctor IDs to assign to this clinic | No |
| city | string | City name | No |
| state | string | State name | No |
| Parameter | Type | Description |
|---|---|---|
| status | string | Status of the response (e.g., “success”) |
| ekaid | string | Unique identifier for the created clinic |
The auth token of the business. It is used to authenticate the client. This should be fetched from auth api.
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM"
Request body for creating a clinic
Name of the clinic
"Sunrise Clinic"
Address of the clinic
"123 Main Street, Block A"
Unique identifier of the clinic in the partner’s system
"Clinic_321_Indore"
Pincode of the clinic
"560001"
Contact number (10 or 11 digits)
"9876543210"
List of doctor Eka IDs to assign to this clinic
["171266028552522", "171266028552523"]List of partner doctor IDs to assign to this clinic
["Part_Doc_1", "Part_Doc_2"]City name
"Bangalore"
State name
"Karnataka"